Test::Class::Moose::Report::Time(3)

NAME
Test::Class::Moose::Report::Time - Reporting object for timing

VERSION
version 0.69

DESCRIPTION
Note that everything in here is experimental and subject to change.

All times are in seconds.

ATTRIBUTES

  "real"
    my $real = $time->real;

Returns the "real" amount of time the class or method took to run.

  "user"
    my $user = $time->user;

Returns the "user" amount of time the class or method took to run.

  "system"
    my $system = $time->system;

Returns the "system" amount of time the class or method took to run.

METHODS

  "duration"
Returns the returns a human-readable representation of the time this class or method took to run. Something like:

  0.00177908 wallclock secs ( 0.00 usr +  0.00 sys =  0.00 CPU)

  "as_hashref"
Returns the "real", "user", and "system" time values in a hashref.

SUPPORT
bugs may be submitted through <https://github.com/test-class-moose/test-class-moose/issues>.

I am also usually active on IRC as 'drolsky' on "irc://irc.perl.org".

AUTHORS

•   Curtis "Ovid" Poe <ovid@cpan.org>

•   Dave Rolsky <autarch@urth.org>

COPYRIGHT AND LICENCE
This software is copyright (c) 2012 - 2016 by Curtis "Ovid" Poe.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.